/*
Theme Name: Impreza Child
Template: Impreza
Version: 1.0
Author:	UpSolution
Theme URI: http://impreza.us-themes.com/
Author URI: http://us-themes.com/
*/

/*Add your own styles here:*/


.w-iconbox-icon  {
	font-size: 20px !important;
}
.l-subheader-h .w-text i::before, .footerlogo .w-text-h i::before{
	font-size: 17px !important;
 padding-right:4px;
 
 top: -2px;
  position: relative;
}


input:not([type=submit]), textarea, select {
  
    background:#fff !important;
    border-color: #ccc !important;
   
    width: 100%;
    transition: all 0.2s;
}
input:not([type="submit"]), textarea, select {
	
	height: 0px;
  margin: 0;
    margin-bottom: 0px;
 font-size:15px; 
 font-family: "Poppins";
 border-radius: 10px;
}
.wpcf7-form  p {
	
	font-family: "Poppins";
	font-size: 14px;
}
.kategoriannimi {
font-size:55px;	
}



.w-grid-item .post_image img {
  
filter: grayscale(100%) sepia(68%) hue-rotate(310deg) saturate(60%);
-webkit-filter: grayscale(100%) sepia(68%) hue-rotate(310deg) saturate(60%);
-moz-filter: grayscale(100%) sepia(68%) hue-rotate(310deg) saturate(60%);

}

.wpcf7-form-control-wrap {
  display: block;
  margin-top: .2rem;
}
.wpcf7 textarea {
height: 120px;
 
}
.w-grid-item .post_title a::after {
 /*font-family: "fontawesome"; content: " \f061";
 font-size: 1.7rem;*/
 
}
.w-nav-control span {
	font-size: 13px;
	letter-spacing: 1px;
	font-family: "Poppins", Arial, Helvetica, sans-serif;
	
}
.owl-carousel .owl-dots.disabled, .owl-carousel .owl-nav.disabled {
  display: inline;
}
.grecaptcha-badge {
	display: none;
}



.home .w-image .w-image-h img {

 /* border: solid 1px #ccc;*/
}

@media only screen and (max-width: 1380px) {
.owl-carousel.navpos_outside .owl-next {
  left: 92vw;
}
.owl-carousel.navpos_outside .owl-prev{
  right: 92vw;
}


}


.l-header.shadow_wide .l-subheader.at_middle, .l-header.shadow_wide .l-subheader.at_bottom {
        box-shadow: 0 5px 7px -1px rgba(0, 0, 0, 0.18), 0 2px 1px -1px rgba(0, 0, 0, 0.08) !important;
    }
 
 
 .w-image-h img.attachment-full.size-full {	
box-shadow: 21px 21px 0px 1px rgba(205,0,209,0.4);
-webkit-box-shadow: 21px 21px 0px 1px rgba(205,0,209,0.4);
-moz-box-shadow: 21px 21px 0px 1px rgba(205,0,209,0.4);
 }
 .home .w-image-h img.attachment-full.size-full { 
 box-shadow: 21px 21px 0px 1px rgba(161,161,161,0.4);
-webkit-box-shadow: 21px 21px 0px 1px rgba(161,161,161,0.4);
-moz-box-shadow: 21px 21px 0px 1px rgba(161,161,161,0.4);
 }
 
 
 .lang-item .w-nav-title {
	 background-color: #e8e8e8;
  padding: 6px 10px;
  border-radius: 7px;

}
 
 .lang-item :hover .w-nav-title::after{
color: #fff;
opacity: 0 !important;
}

@media only screen and (max-width: 1178px) {
.w-nav-list {
	padding-bottom: 10px;
}
}
.wpcf7-form-control-wrap:first-of-type  {
  
  margin-bottom:12px;
}

.w-skip-btn {
	display:none;
}

.w-grid-item  .post_image {
margin-left: -40px;
  margin-right: -40px;
  width: auto;
   margin-top: -40px;
}
.w-grid-item .paivamaara {
	z-index: 99999;
	background-color: #000;
	position: absolute;
	top:10px;
	color: #fff;
	 pointer-events:none;
padding: 0.3em 0.6em;
 
}
.nuoli .fas {
	font-size: 20px;
	text-align: center;
	 
}
.nuoli {
  padding: 10px !important;
}

.w-grid-item  .post_image img, .kuva_  img {
 opacity:0.65 !important;
 filter: grayscale(100%) contrast(1.4) sepia(68%) hue-rotate(310deg) saturate(60%) !important;

}
.w-grid-item  .post_image {
 background-image: linear-gradient(to top, red, yellow);
 background: #d90077;
background: linear-gradient(5deg,rgba(217, 0, 119, 1) 0%, rgba(254, 255, 166, 1) 100%) !important;

background: #8c0052  !important; 
background: linear-gradient(339deg,rgb(140, 0, 82) 10%, rgba(255, 255, 255, 0) 100%) !important;


 
}
.kuva_  .w-image-h div {
	padding-bottom: 100% !important;
}
 .kuva_ .vc_column-inner {
	 border-radius: 20px;
 background-image: linear-gradient(to top, red, yellow) !important;
 background: #d90077;
background: linear-gradient(357deg,rgba(217, 0, 119, 1) 0%, rgba(254, 255, 166, 1) 100%) !important; 

background: #8c0052  !important; 
background: linear-gradient(339deg,rgb(140, 0, 82) 10%, rgba(255, 255, 255, 0) 100%) !important;


}
.gradient_kuvalle img {
 opacity:0.85 !important;
 filter: contrast(1.38);
 
 
}
.gradient_kuvalle  {
 padding-left: 20px;
 max-width: 450px;
}

.gradient_kuvalle .vc_column-inner {
	 background-image: linear-gradient(to top, red, yellow) !important;
 background: #d90077;
background: linear-gradient(357deg,rgba(217, 0, 119, 1) 0%, rgba(254, 255, 166, 1) 100%) !important; 
border-radius: 20px;
width: 88% !important;
margin-top: 20px;

background: #8c0052  !important; 
background: linear-gradient(339deg,rgb(140, 0, 82) 10%, rgba(255, 255, 255, 0) 100%) !important;


}

.nuoli {
	 display:none !important;
 
}


@media only screen and (max-width: 600px) {
.w-filter-item-values {
	max-width: 40px !important;
}
.w-grid-item .post_title a::after {
  
 font-size: 1.5rem;
 
}

.gradient_kuvalle .vc_column-inner {
 
margin-bottom: 20px;
}
.gradient_kuvalle .vc_column-inner {
 
width: 90% !important;
 
}
.l-canvas .l-section:first-child .l-section-h  {
	padding-top:111px !important;
}

.w-btn-wrapper {
	text-align:center;
}
.w-grid .mennyt .paivamaara {
  min-width: 190px !important;
}
.koulutussivu_excerpt {
display: inline; 
padding-top: 10px;
padding-bottom: 10px;	
}
.koulutussivu_excerpt  .w-post-elm {
	padding-top: 15px;
padding-bottom: 15px;	
}
}

.w-nav.type_mobile .w-nav-anchor:not(.w-btn) {
 
  padding-left: 1.2rem;
 
} 
.w-btn-label {
white-space: nowrap;	
}
.koulutusyksi .w-post-elm-list {
 
  width: 100%;
	text-align: right;
}
.koulutusyksi .w-post-elm {
	  width: 100%;
	  

}
.koulutusyksi .punainen {
	  max-width: 250px;
	  

}
.koulutusyksi .post_custom_field {
		  width: 100%;

	
}
.koulutusyksi .paivamaara {
		  max-width: 250px;

	
}
.l-canvas .julkaisut:first-child .l-section-h, .julkaisut {
	padding-top: 0 !important;
	padding-left: 0 !important;
}
.l-canvas p a {
  color: #8f4772 !important;
}
.l-canvas p a:hover { 
   color: #de78b5 !important;
}
 
/* CUSTOM CODE 


.punainen {
	
 	color: red;
}
.w-grid .punainen {
background-color: red !important;
}
.punainen::after {
  content: " / mennyt";
}

.mennyt .wpb_text_column, .mennyt .wpcf7-form  {
visibility: hidden;
}
 @media only screen and (max-width: 1024px) {
.mennyt .wpb_text_column, .mennyt .wpcf7-form  {
display:none;

	 }
}
*/



@media only screen and (max-width: 1024px)   {
	
	.l-main .l-section {
		padding-left: 1.1rem;
		padding-right: 1.1rem;
 	}
	
#page-header .l-subheader {
padding-left: 1rem;
    padding-right: 1rem;	
}
}

@media only screen and (max-width: 1300px)   {
#page-footer .g-cols {
	grid-template-columns: 1fr;
}
#page-footer .g-cols .hide_on_mobiles {
	display: none;
}
}
@media (min-width: 601px) and (max-width: 1024px) {
    .us_custom_ea4ee3c8 {
        padding-right: 0 !important;
    }
}

@media only screen and (min-width: 1025px)   {
.gradient_kuvalle .vc_column-inner {
 
width: 80% !important; 
}
}


.gradient_kuvalle, .style_circle   {
  /* Alkuasento: näkymätön */
  opacity: 0; 
  
  /* Animaation nimi, kesto (2 sekuntia) ja pehmennys */
  animation: haivytysEsiin 0.5s ease-out forwards;
  
  /* Valinnainen: viive ennen kuin häivytys alkaa (esim. 0.5 sekuntia) */
  animation-delay: 0.3s; 
}

/* Määritetään animaation vaiheet */
@keyframes haivytysEsiin {
  from {
    opacity: 0;
	   transform: translateY(10px);
  }
  to {
	 transform: translateY(0px);  
    opacity: 1; /* Loppuasento: täysin näkyvä */
  }
}


 h1  {
  /* Alkuasento: näkymätön */
  opacity: 0; 
  
  /* Animaation nimi, kesto (2 sekuntia) ja pehmennys */
  animation: haivytysEsiin2 0.5s ease-out forwards;
  
  /* Valinnainen: viive ennen kuin häivytys alkaa (esim. 0.5 sekuntia) */
  animation-delay: 0.0s; 
}

/* Määritetään animaation vaiheet */
@keyframes haivytysEsiin2 {
  from {
    opacity: 0;
	   
  }
  to {
	 
    opacity: 1; /* Loppuasento: täysin näkyvä */
  }
}






@media only screen and (min-width:1178px) and (max-width: 1290px)   {

		

	#menu-item-937 {
		/*display:none !important;*/
	}
	.header_hor .ush_menu_1.type_desktop .menu-item.level_1>a:not(.w-btn) {
		
		padding-left: 0.8em !important;
    padding-right: 0.8em !important;
}
	
	
}






